// .vue 文件 vue 的组件 
// html css js

// 


// 组件 

// 
<template>
  <div class="aaaa">

    <router-view></router-view>
    <!-- 监听子组件的事件 -->
  </div>
</template>

<script>
// 导出
// new Vue 
// 组件
// data:{
//   name:"这是name"
// }
export default {
  name: 'App',
  // 注册组件
  components:{
  },
  methods: {
    dianwo() {
      // alert("事件")
      this.name = "这是新的sname"
    },
    aaa(canshu,canshuer,canshusan){
      console.log("子组件被点击了")
      console.log("传过来的值是",canshu)
      console.log("传过来的值2是",canshuer)
      console.log("传过来的值3是",canshusan)
    },
    zijideshijian(xingcan,xingcan2){
      console.log("事件被触发了")
      console.log(xingcan)
      console.log(xingcan2)
    }
  },
  data() {
    return {
      name: "这是name",
      jiage:0
    }
  }
}
</script>

<style>
* {
  margin: 0;
  padding: 0;
}
</style>
